Add Products On a Location
curl --request POST \
--url https://api.birdeye.com/resources/v1/listing/public/product/addProduct \
--header 'Content-Type: application/json' \
--data '
{
"productIds": [
"68767cb39ebf51000815ab39",
"68767cb39ebf51000815ab39"
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/listing/public/product/addProduct"
payload = { "productIds": ["68767cb39ebf51000815ab39", "68767cb39ebf51000815ab39"] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({productIds: ['68767cb39ebf51000815ab39', '68767cb39ebf51000815ab39']})
};
fetch('https://api.birdeye.com/resources/v1/listing/public/product/addProduct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 2564,
"message": "Product not or Partial found with given productId List"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}GMB Products
Add Products On a Location
Adds products (by IDs) to the Google profile of the business provided in headers.
POST
/
v1
/
listing
/
public
/
product
/
addProduct
Add Products On a Location
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] User assosiated businessNumber
Media type of the JSON request body.
⌘I